$(document).ready(function() {
	$('.tree').each(function() {
		bindTree($(this));
	});
});


function bindTree($tree) {

	$tree.children('li').each(function() {
		if(!$(this).hasClass('open')) {
			$(this).addClass('close').addClass('tree__close');
		}
		$(this).children('.tree__leave').click(function(e) {
			//e.preventDefault();
			if(e.target.tagName.toLowerCase() != 'a' && $(e.target).closest('a').length < 1) {
				
				if(!$(this).parent().hasClass('final')) {
					$(this).parent().toggleClass('close').toggleClass('tree__close'); 
					console.log('is in cp: ' + $(this).closest('.custom-popup').length);
					if($(this).closest('.custom-popup').length > 0) {
						checkCustomPopupSize($(this).closest('.custom-popup'));
					}
				}
			
			}
		});

		if($(this).hasClass('tree__hypo-elem')) {
			$(this).click(function() {
				if($(this).hasClass('inserted')) {
					$(this).html('');
					$(this).removeClass('inserted');
				}else {
					var id = $('.tree__hypo-elem__inserting').data('id');
					$('.tree__hypo-elem__inserting').clone().removeClass('tree__hypo-elem__inserting').addClass('appended').removeAttr('style').removeAttr('data-id').appendTo($(this));
					$(this).addClass('inserted').attr('data-id', id);
				}
			});
		}
	});

	$tree.children('li').each(function() {
		if(!$(this).find('.tree').length) {
			$(this).removeClass('close').removeClass('tree__close').addClass('final');
		}
	});
}